Bug 243639 - --with-ldapsdk-bin required for configure argument
--with-ldapsdk-bin required for configure argument
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.4
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
: VerifiedUpstream
Depends On:
Blocks: 152373 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-06-11 00:35 EDT by Masato Taruishi
Modified: 2015-12-07 11:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:31:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs commit log (1.32 KB, text/plain)
2007-06-11 10:14 EDT, Rich Megginson
no flags Details

  None (edit)
Description Masato Taruishi 2007-06-11 00:35:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja; rv:1.8.1.4) Gecko/20070508 Iceweasel/2.0.0.4 (Debian-2.0.0.4-1)

Description of problem:
In m4/mozldap.m4, there is a code to check whether ldapsdk_bindir is specified,
but you can't specify it except for --with-ldapsdk argument or using pkg-config.
So using --with-ldapsdk-lib and --with-ldapsdk-inc requires the additional
argument '--with-ldapsdk-bin'.

The following patch adds the argument in configure of ldapserver:

--- ../../../../upstream/fedora-ds/trunk/ldapserver/m4/mozldap.m4       2007-02-07 00:51:22.000000000 +0900
+++ ldapserver/m4/mozldap.m4    2007-06-11 02:01:33.000000000 +0900
@@ -70,6 +70,21 @@
 ],
 AC_MSG_RESULT(no))
 
+# check for --with-ldapsdk-bin
+AC_MSG_CHECKING(for --with-ldapsdk-bin)
+AC_ARG_WITH(ldapsdk-bin, [  --with-ldapsdk-bin=PATH     Mozilla LDAP SDK binary directory],
+[
+  if test -d "$withval"
+  then
+    AC_MSG_RESULT([using $withval])
+    ldapsdk_bindir="$withval"
+  else
+    echo
+    AC_MSG_ERROR([$withval not found])
+  fi
+],
+AC_MSG_RESULT(no))
+
 # if LDAPSDK is not found yet, try pkg-config
 
 # last resort
@@ -82,7 +97,7 @@
     elif $PKG_CONFIG --exists mozldap; then
        mozldappkg=mozldap
     else
-      AC_MSG_ERROR([LDAPSDK not found, specify with --with-ldapsdk[-inc|-lib].])
+      AC_MSG_ERROR([LDAPSDK not found, specify with --with-ldapsdk[-inc|-lib|-bin].])
     fi
     ldapsdk_inc=`$PKG_CONFIG --cflags-only-I $mozldappkg`
     ldapsdk_lib=`$PKG_CONFIG --libs-only-L $mozldappkg`
@@ -92,7 +107,7 @@
   fi
 fi
 if test -z "$ldapsdk_inc" -o -z "$ldapsdk_lib"; then
-  AC_MSG_ERROR([LDAPSDK not found, specify with --with-ldapsdk[-inc|-lib].])
+  AC_MSG_ERROR([LDAPSDK not found, specify with --with-ldapsdk[-inc|-lib|-bin].])
 fi
 dnl default path for the ldap c sdk tools (see [210947] for more details)
 if test -z "$ldapsdk_bindir" ; then


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Disable mozldap pkg-config
2. configure --with-ldapsdk-lib=<somewhere> --with-ldapsdk-bin=<somewhere>

Actual Results:


Expected Results:


Additional info:
Comment 1 Masato Taruishi 2007-06-11 00:37:43 EDT
Oops, Step 2 to Reproduce is 

 2. configure --with-ldapsdk-lib=<somewhere> --with-ldapsdk-inc=<somewhere>
Comment 2 Rich Megginson 2007-06-11 10:14:24 EDT
Created attachment 156711 [details]
cvs commit log

committed
Comment 3 Rich Megginson 2007-06-11 10:15:29 EDT
Committed.  Thanks!
Comment 6 Rich Megginson 2011-07-08 09:33:42 EDT
Mark as Verified Upstream

Note You need to log in before you can comment on or make changes to this bug.